local install_path = vim.fn.stdpath('data')..'/site/pack/packer/start/'

local function bootstrap(url)
  local name = url:gsub('.*/', '')
  local path = install_path .. name
  local bootstrapped = false
  if vim.fn.empty(vim.fn.glob(path)) > 0 then
    vim.fn.system({'git', 'clone', '--depth', '1', url, path})
    vim.cmd('packadd ' .. name)
    bootstrapped = true
  end
  return bootstrapped
end

local tangerine_bootstrapped = bootstrap('https://github.com/udayvir-singh/tangerine.nvim')
bootstrap('https://github.com/udayvir-singh/hibiscus.nvim')

if tangerine_bootstrapped then
  require('tangerine').setup({
    compiler = {
      hooks = {'oninit'}
    }
  })
else
  require('tangerine').setup({})
  if (#(require('tangerine.vim.hooks').run()) > 0) then
    require('packer').sync()
  end
end
